\name{surfing}
\alias{surfing}
\alias{surfing_table}
\alias{surfing_maxp}
\alias{surfing_venuetypes}
\docType{data}
\title{Surfing dataset}
\description{Data from the 2019 World Surf League (WSL) tour}
\usage{data(surfing)}
\details{

  The package contains four datasets from WSL 2019:

  \itemize{
    \item \code{surfing}, a log likelihood function for the strengths of
    the competitors
    \item \code{surfing_maxp}, corresponding precalculated evaluate
    \item \code{surfing_venuetypes}, a dataframe showing the beach types
    at the different venues of the tour
  }

These objects can be generated by running script
\code{inst/surfing.Rmd}, which includes some further discussion and
technical documentation and creates file \code{surfing.rda} which
resides in the \code{data/} directory.

}
\author{Robin K. S. Hankin}
\examples{
dotchart(surfing_maxp)

}
\keyword{datasets}

